# Send order tracking details

> Send the carrier and order tracking number to Bolt (after a label has been printed). Bolt then uses EasyPost to forward ongoing tracking event updates to the shopper. This request must include **all** items included in the shipment; their references must also match those found in the original cart generation.

Source: https://help.boltapp.com/api-reference/endpoints/orders/trackorder

`POST /v1/merchant/track_shipment`

## OpenAPI definition

This endpoint as it appears in the OpenAPI document, with every schema it references included.

```json
{
  "openapi": "3.2.0",
  "info": {
    "version": "1.0.1",
    "title": "Bolt API Reference",
    "description": "Postman Collection:\n\n[![](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/9136127-55d2bde1-a248-473f-95b5-64cfd02fb445?action=collection%2Ffork&collection-url=entityId%3D9136127-55d2bde1-a248-473f-95b5-64cfd02fb445%26entityType%3Dcollection%26workspaceId%3D78beee89-4238-4c5f-bd1f-7e98978744b4#?env%5BBolt%20Sandbox%20Environment%5D=W3sia2V5IjoiYXBpX2Jhc2VfdXJsIiwidmFsdWUiOiJodHRwczovL2FwaS1zYW5kYm94LmJvbHQuY29tIiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfSx7ImtleSI6InRrX2Jhc2UiLCJ2YWx1ZSI6Imh0dHBzOi8vc2FuZGJveC5ib2x0dGsuY29tIiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfSx7ImtleSI6ImFwaV9rZXkiLCJ2YWx1ZSI6IjxyZXBsYWNlIHdpdGggeW91ciBCb2x0IFNhbmRib3ggQVBJIGtleT4iLCJ0eXBlIjoic2VjcmV0IiwiZW5hYmxlZCI6dHJ1ZX0seyJrZXkiOiJwdWJsaXNoYWJsZV9rZXkiLCJ2YWx1ZSI6IjxyZXBsYWNlIHdpdGggeW91ciBCb2x0IFNhbmRib3ggcHVibGlzaGFibGUga2V5PiIsInR5cGUiOiJkZWZhdWx0IiwiZW5hYmxlZCI6dHJ1ZX0seyJrZXkiOiJkaXZpc2lvbl9pZCIsInZhbHVlIjoiPHJlcGxhY2Ugd2l0aCB5b3VyIEJvbHQgU2FuZGJveCBwdWJsaWMgZGl2aXNpb24gSUQ+IiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfV0=)\n\n## About\n A comprehensive Bolt API reference for interacting with Transactions, Orders, Product Catalog, Configuration, Testing, and much more.\n\n Note: You must also reference the [Merchant Callback API](/api-merchant) when building a managed checkout custom cart integration\n"
  },
  "servers": [
    {
      "url": "https://api.boltapp.com",
      "description": "The Production URL (Live Data)."
    },
    {
      "url": "https://api-sandbox.boltapp.com",
      "description": "The Sandbox URL (Test Data)."
    },
    {
      "url": "https://api-staging.boltapp.com",
      "description": "The Staging URL (Staged Data)."
    }
  ],
  "security": [
    {
      "X-API-Key": []
    },
    {
      "OAuth": [
        "bolt.account.manage",
        "bolt.account.view"
      ]
    }
  ],
  "paths": {
    "/v1/merchant/track_shipment": {
      "post": {
        "description": "Send the carrier and order tracking number to Bolt (after a label has been printed). Bolt then uses EasyPost to forward ongoing tracking event updates to the shopper. This request must include **all** items included in the shipment; their references must also match those found in the original cart generation.\n",
        "operationId": "trackOrder",
        "requestBody": {
          "$ref": "#/components/requestBodies/order_track"
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/order_track"
          },
          "400": {
            "$ref": "#/components/responses/order_track_error_400"
          },
          "422": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/errors_bolt_api_response"
                }
              }
            },
            "description": "Generic Error Schema"
          }
        },
        "security": [
          {
            "X-API-Key": [
              "X-API-Key"
            ]
          }
        ],
        "summary": "Send order tracking details",
        "tags": [
          "Orders"
        ]
      }
    }
  },
  "components": {
    "requestBodies": {
      "order_track": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "carrier": {
                  "$ref": "#/components/schemas/shipping_carrier"
                },
                "is_non_bolt_order": {
                  "$ref": "#/components/schemas/order_non_bolt"
                },
                "items": {
                  "$ref": "#/components/schemas/items"
                },
                "tracking_number": {
                  "$ref": "#/components/schemas/order_tracking_number"
                },
                "transaction_reference": {
                  "$ref": "#/components/schemas/transaction_reference"
                }
              },
              "required": [
                "transaction_reference",
                "tracking_number",
                "carrier",
                "items"
              ],
              "type": "object"
            }
          }
        },
        "description": "Send order tracking details."
      }
    },
    "schemas": {
      "shipping_carrier": {
        "description": "the name of the carrier used for shipment.",
        "type": "string",
        "examples": [
          "UPS"
        ]
      },
      "order_non_bolt": {
        "description": "Designates if the order was placed outside of Bolt checkout.",
        "type": "boolean",
        "examples": [
          false
        ]
      },
      "items": {
        "description": "A list of items.",
        "items": {
          "$ref": "#/components/schemas/item"
        },
        "type": "array"
      },
      "item": {
        "description": "An item with properties.",
        "properties": {
          "bolt_product_id": {
            "$ref": "#/components/schemas/bolt_product_id"
          },
          "brand": {
            "$ref": "#/components/schemas/brand"
          },
          "category": {
            "$ref": "#/components/schemas/category"
          },
          "collections": {
            "$ref": "#/components/schemas/collections"
          },
          "color": {
            "$ref": "#/components/schemas/color"
          },
          "customizations": {
            "items": {
              "properties": {
                "attributes": {
                  "$ref": "#/components/schemas/metadata_component"
                },
                "name": {
                  "$ref": "#/components/schemas/customizations_name"
                },
                "price": {
                  "$ref": "#/components/schemas/amounts"
                }
              },
              "required": [
                "name",
                "price",
                "attributes"
              ],
              "type": "object"
            },
            "type": "array"
          },
          "description": {
            "$ref": "#/components/schemas/item_description"
          },
          "details_url": {
            "description": "The URL for the item's details.",
            "type": "string",
            "examples": [
              "https://boltswagstore.com/inventory/hats/red-hat.png"
            ]
          },
          "image_url": {
            "$ref": "#/components/schemas/image_url"
          },
          "isbn": {
            "$ref": "#/components/schemas/isbn"
          },
          "item_group": {
            "$ref": "#/components/schemas/item_group"
          },
          "manufacturer": {
            "$ref": "#/components/schemas/manufacturer"
          },
          "name": {
            "$ref": "#/components/schemas/name_item"
          },
          "options": {
            "$ref": "#/components/schemas/options"
          },
          "properties": {
            "$ref": "#/components/schemas/item_properties"
          },
          "quantity": {
            "$ref": "#/components/schemas/quantity"
          },
          "reference": {
            "$ref": "#/components/schemas/reference"
          },
          "shipment_type": {
            "$ref": "#/components/schemas/item_shipment_type"
          },
          "size": {
            "$ref": "#/components/schemas/size"
          },
          "sku": {
            "$ref": "#/components/schemas/sku"
          },
          "tags": {
            "$ref": "#/components/schemas/tag"
          },
          "tax_amount": {
            "$ref": "#/components/schemas/amounts"
          },
          "taxable": {
            "$ref": "#/components/schemas/taxable"
          },
          "total_amount": {
            "$ref": "#/components/schemas/amounts"
          },
          "type": {
            "$ref": "#/components/schemas/type"
          },
          "unit_price": {
            "$ref": "#/components/schemas/amounts"
          },
          "uom": {
            "type": "string",
            "examples": [
              "string"
            ]
          },
          "upc": {
            "type": "string",
            "examples": [
              "string"
            ]
          },
          "weight": {
            "$ref": "#/components/schemas/total_weight"
          }
        },
        "required": [
          "reference",
          "name",
          "total_amount",
          "unit_price",
          "quantity"
        ],
        "type": "object"
      },
      "bolt_product_id": {
        "description": "Unique ID generated for a product via the products endpoint.",
        "type": "string",
        "examples": [
          "e2bb0e7e-5625-536f-8ad7-25a26537ee28"
        ]
      },
      "brand": {
        "description": "The name of a brand.",
        "type": "string",
        "examples": [
          "Bolt Swagstore"
        ]
      },
      "category": {
        "description": "A category.",
        "type": "string",
        "examples": [
          "hats"
        ]
      },
      "collections": {
        "items": {
          "$ref": "#/components/schemas/collection"
        },
        "type": "array"
      },
      "collection": {
        "type": "string",
        "examples": [
          "summer"
        ]
      },
      "color": {
        "description": "The color.",
        "type": "string",
        "examples": [
          "Red"
        ]
      },
      "metadata_component": {
        "properties": {
          "key1": {
            "type": "string",
            "examples": [
              "value1"
            ]
          },
          "key2": {
            "type": "string",
            "examples": [
              "value2"
            ]
          }
        },
        "type": "object"
      },
      "customizations_name": {
        "description": "The name of the customization.",
        "type": "string",
        "examples": [
          "Bedazzled"
        ]
      },
      "amounts": {
        "description": "The amount. **Nullable** for Transactions Details.",
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount"
          },
          "currency": {
            "$ref": "#/components/schemas/currency_iso"
          },
          "currency_symbol": {
            "$ref": "#/components/schemas/currency_symbol"
          }
        },
        "required": [
          "amount",
          "currency",
          "currency_symbol"
        ],
        "type": "object"
      },
      "amount": {
        "description": "The amount in cents. **Nullable** for Transactions Details.",
        "type": "integer",
        "examples": [
          754
        ]
      },
      "currency_iso": {
        "description": "The 3-digit ISO code for the currency. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "USD"
        ]
      },
      "currency_symbol": {
        "description": "The currency symbol used for the amount. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "$"
        ]
      },
      "item_description": {
        "description": "A description for the item added to the cart/order.",
        "type": "string",
        "examples": [
          " Large blue satin hat with initials embroidered."
        ]
      },
      "image_url": {
        "description": "The URL for the item's image.",
        "type": "string",
        "examples": [
          "https://boltswagstore.com/inventory/hats/red-hat.png"
        ]
      },
      "isbn": {
        "description": "A 13-digit identifier for a book item.",
        "type": "string",
        "examples": [
          "12-345-678-90123"
        ]
      },
      "item_group": {
        "description": "Enables grouping in the checkout UI.",
        "type": "string",
        "examples": [
          "Ships Immediately"
        ]
      },
      "manufacturer": {
        "description": "The name of a manufacturer.",
        "type": "string",
        "examples": [
          "Bolt Factory"
        ]
      },
      "name_item": {
        "description": "The name of an item.",
        "type": "string",
        "examples": [
          "Blue Hat"
        ]
      },
      "options": {
        "type": "string",
        "examples": [
          "string option"
        ]
      },
      "item_properties": {
        "items": {
          "$ref": "#/components/schemas/item_property"
        },
        "type": "array"
      },
      "item_property": {
        "properties": {
          "name": {
            "type": "string",
            "examples": [
              "a-name"
            ]
          },
          "value": {
            "type": "string",
            "examples": [
              "a-value"
            ]
          }
        },
        "type": "object"
      },
      "quantity": {
        "description": "The quantity of this item.",
        "type": "integer",
        "examples": [
          3
        ]
      },
      "reference": {
        "description": "Reference for the object.",
        "type": "string",
        "examples": [
          "1123"
        ]
      },
      "item_shipment_type": {
        "description": "The shipment type selected by the shopper.",
        "enum": [
          "unknown",
          "door delivery",
          "in_store_pickup",
          "ship_to_store"
        ],
        "type": "string"
      },
      "size": {
        "description": "The size.",
        "type": "string",
        "examples": [
          "XXL"
        ]
      },
      "sku": {
        "description": "The SKU identifier for this item or service.",
        "type": "string",
        "examples": [
          "SKU-11021"
        ]
      },
      "tag": {
        "description": "A tag",
        "type": "string",
        "examples": [
          "red"
        ]
      },
      "taxable": {
        "description": "Determines if item is taxable.",
        "type": "boolean",
        "examples": [
          true
        ]
      },
      "type": {
        "description": "Determines if item is a physical, digital, or bundled good, or if the good type is unknown.",
        "enum": [
          "bundled",
          "digital",
          "physical",
          "unknown"
        ],
        "type": "string",
        "examples": [
          "physical"
        ]
      },
      "total_weight": {
        "properties": {
          "unit": {
            "$ref": "#/components/schemas/weight_unit"
          },
          "weight": {
            "$ref": "#/components/schemas/weight"
          }
        },
        "type": "object"
      },
      "weight_unit": {
        "description": "The unit of measurement for an item's weight.",
        "type": "string",
        "examples": [
          "kg"
        ]
      },
      "weight": {
        "description": "The weight of an item.",
        "type": "integer",
        "examples": [
          22
        ]
      },
      "order_tracking_number": {
        "description": "The carrier's tracking number for the shipment.",
        "type": "string",
        "examples": [
          "EZ1000000001"
        ]
      },
      "transaction_reference": {
        "description": "The transaction's 12-digit Bolt reference ID. **Nullable** for Transactions Details.",
        "maxLength": 12,
        "minLength": 12,
        "type": "string",
        "examples": [
          "LBLJ-TWW7-R9VC"
        ]
      },
      "errors_bolt_api_response": {
        "properties": {
          "errors": {
            "$ref": "#/components/schemas/errors_bolt_api"
          },
          "result": {
            "$ref": "#/components/schemas/request_result"
          }
        },
        "type": "object"
      },
      "errors_bolt_api": {
        "items": {
          "$ref": "#/components/schemas/error_bolt_api"
        },
        "type": "array"
      },
      "error_bolt_api": {
        "properties": {
          "code": {
            "$ref": "#/components/schemas/code"
          },
          "message": {
            "$ref": "#/components/schemas/message"
          }
        },
        "type": "object",
        "description": "Error object containing custom error information"
      },
      "code": {
        "description": "Custom-defined Bolt error code. This can be used to programmatically react to specific errors.",
        "format": "int64",
        "type": "integer",
        "examples": [
          2001005
        ]
      },
      "message": {
        "description": "Human-readable description of the error for developers. Should not be shown to users and is not localized.",
        "type": "string",
        "examples": [
          "The input is missing a required parameter."
        ]
      },
      "request_result": {
        "description": "Custom-defined Bolt result object.",
        "properties": {
          "success": {
            "$ref": "#/components/schemas/request_failed"
          }
        },
        "type": "object"
      },
      "request_failed": {
        "type": "boolean",
        "description": "Indicates that the request failed. This value is always false.",
        "examples": [
          false
        ]
      }
    },
    "responses": {
      "order_track": {
        "content": {
          "application/json": {
            "schema": {
              "required": [
                "url"
              ],
              "type": "object"
            }
          }
        },
        "description": "Order Tracking Successful"
      },
      "order_track_error_400": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/errors_bolt_api_response"
            }
          }
        },
        "description": "Generic Error Schema"
      }
    },
    "securitySchemes": {
      "OAuth": {
        "description": "Bolt utilizes the OAuth flow that developers can use to attain access to Bolt Account data via APIs.\nFor all APIs that require authorization, please provide your `access_token` returned from `/v1/oauth/token` via the basic auth bearer header `Authorization: bearer ${TOKEN}`.\n[Read more about the OAuth token endpoint.](/api-bolt/#tag/OAuth)\n",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://api.boltapp.com/v1/oauth/authorize",
            "refreshUrl": "https://api.boltapp.com/v1/oauth/token",
            "scopes": {
              "bolt.account.manage": "This scope grants permissions to perform read/edit/delete actions on Bolt Account data",
              "bolt.account.view": "This scope grants permissions to perform read only actions on Bolt Account data",
              "openid": "This scope grants permissions that enable Bolt SSO by granting an id token JWT that stores account data. Not used in v1/account endpoints"
            },
            "tokenUrl": "https://api.boltapp.com/v1/oauth/token"
          }
        },
        "type": "oauth2"
      },
      "X-API-Key": {
        "description": "Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.",
        "in": "header",
        "name": "X-API-Key",
        "type": "apiKey"
      }
    }
  }
}
```
